Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.scheduler.jobs
Class FileDumper

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.scheduler.Job
              com.knowgate.scheduler.jobs.FileDumper

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class FileDumper

extends Job

Simple processor for PageSets with disk output

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class com.knowgate.scheduler.Job
`COMMAND_DUMY, COMMAND_FAX, COMMAND_FTP, COMMAND_MAIL, COMMAND_SAVE, COMMAND_SEND, iPendingAtoms, STATUS_ABORTED, STATUS_FINISHED, STATUS_INTERRUPTED, STATUS_PENDING, STATUS_RUNNING, STATUS_SUSPENDED`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`FileDumper()`

Method Summary
`void` | `free()` This method must free all the resource allocated by a Job
`java.lang.Object` | `process(Atom oAtm)` Process PageSet pointed by Atom and dumps result to disk Base workareas path is taken from "workareasput" property of hipergate.cnf Processed documents are saved under /web/workareas/apps/Mailwire/html/gu_pageset/

Methods inherited from class com.knowgate.scheduler.Job
`abort, delete, delete, getDataBaseBind, getIdFromTitle, getParameter, getParameters, getProperties, getProperty, getStatus, insertRecipients, instantiate, instantiate, load, log, logFile, main, pending, resolveAtomsEMails, setDataBaseBind, setStatus, store`

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### FileDumper

    public FileDumper()

Method Detail

### free

    public void free()

  Description copied from class: `Job`

  This method must free all the resource allocated by a Job

  Specified by:
    `free` in class `Job`

### process

    public java.lang.Object process(Atom oAtm)
                             throws java.io.IOException

  Process PageSet pointed by Atom and dumps result to disk

  Base workareas path is taken from "workareasput" property of hipergate.cnf

  Processed documents are saved under /web/workareas/apps/Mailwire/html/gu_pageset/

  Specified by:
    `process` in class `Job`
  Parameters:
    `oAtm` - Atom holding a reference to PageSet instance to be dumped
    Atom must have the following parameters set:

    gu_workarea | GUID of WorkArea owner of document to be saved
    gu_pageset | GUID of PageSet to be saved
    nm_pageset | Name of PageSet document instance to be saved

  Returns:
    String containing the final pos-processed document
  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD